package com.prodhack.moscow2025.domain.usecase.resumes

import com.prodhack.moscow2025.domain.interfaces.resumes.ResumeRepository
import com.prodhack.moscow2025.domain.models.ResumeModel
import kotlinx.coroutines.flow.Flow
import org.koin.core.annotation.Single

@Single
class GetResumeInfoUseCase(
	private val resumeRepository: ResumeRepository
) {
	operator fun invoke(resumeId: String): Flow<Result<ResumeModel>> =
		resumeRepository.getResume(resumeId)
}
